/*****************************************************
CodeWizardAVR V2.03.9 Standard
Date    : 23.03.2009
*****************************************************/

#include <mega16.h>
//#include <ds1307.h>
#include <ds3232.h>
#include <delay.h>


// I2C Bus functions
#asm
   .equ __i2c_port=0x12 ;PORTD
   .equ __sda_bit=5
   .equ __scl_bit=6
#endasm
#include <i2c.h>

// Standard Input/Output functions
#include <stdio.h>

// Declare your global variables here
unsigned char h=0, m=0, s=0;
unsigned char date=0, month=0, year=0;
unsigned char C=0b00000100;
unsigned char CS=0b11001000;
unsigned char AO=25;

void main(void)
{
// Declare your local variables here

// Input/Output Ports initialization
// Port A initialization
PORTA=0x00;
DDRA=0x00;
// Port B initialization
PORTB=0x00;
DDRB=0x00;
// Port C initialization 
PORTC=0x00;
DDRC=0x00;
// Port D initialization 
PORTD=0x00;
DDRD=0b00001000;

// USART initialization
// Communication Parameters: 8 Data, 1 Stop, No Parity
// USART Receiver: On
// USART Transmitter: On
// USART Mode: Asynchronous
// USART Baud Rate: 9600
UCSRA=0x00;
UCSRB=0x18;
UCSRC=0x86;
UBRRH=0x00;
UBRRL=0x47;

// I2C Bus initialization
i2c_init();

// DS1307 Real Time Clock initialization
// Square wave output on pin SQW/OUT: Off
// SQW/OUT pin state: 0
rtc_init(C,CS,AO);

//rtc_set_time(13, 37, 40);
//rtc_set_date(15, 4, 9);

while (1)
      {
      // Place your code here
      PORTD.3=0;
      delay_ms(500); 
      rtc_get_time(&h,&m,&s);
      rtc_get_date(&date, &month, &year);
      printf("\n\n\r TIME %i : %i : %i", h, m, s);
      printf("\n\r DATE %i : %i : %i", date++, month, year);
      PORTD.3=1;
      delay_ms(500); 
      };
}
